/*
 * Spar - a text frontend for the Spar library
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#ifndef _cmd_implementation_h_
#define _cmd_implementation_h_

typedef void (*command_t) (int, char **);
#define COMMAND(x) void x (int argc, char **argv)

COMMAND (cmd_exit);
COMMAND (cmd_clr_all);
COMMAND (cmd_warranty);
COMMAND (cmd_funcs);
COMMAND (cmd_vars);
COMMAND (cmd_help);
COMMAND (cmd_add_var_comment);
COMMAND (cmd_clr);
COMMAND (cmd_consts);
COMMAND (cmd_set_old_value);

/* Commands for modules */
COMMAND (cmd_mod_run);
COMMAND (cmd_mod_show);

#endif /* _cmd_implementation_h_ */
